/*==============================================================================
Project:	POV-Ray

Version:	3

File:	ArgvTrix.h

Description:
	Faked Argv/argc handling routines.  This file maintains a simple simulation
	of the Standard C argc/argv program command line parameters, letting an
	"outer" Mac application build an argument list and pass it to "main()".
------------------------------------------------------------------------------
Author:
	Eduard [esp] Schwan
------------------------------------------------------------------------------
	from Persistence of Vision(tm) Ray Tracer
	Copyright 1996 Persistence of Vision Team
------------------------------------------------------------------------------
	NOTICE: This source code file is provided so that users may experiment
	with enhancements to POV-Ray and to port the software to platforms other 
	than those supported by the POV-Ray Team.  There are strict rules under
	which you are permitted to use this file.  The rules are in the file
	named POVLEGAL.DOC which should be distributed with this file. If 
	POVLEGAL.DOC is not available or for more info please contact the POV-Ray
	Team Coordinator by leaving a message in CompuServe's Graphics Developer's
	Forum.  The latest version of POV-Ray may be found there as well.

	This program is based on the popular DKB raytracer version 2.12.
	DKBTrace was originally written by David K. Buck.
	DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
------------------------------------------------------------------------------
Change History:
	941221	[esp]	Created
==============================================================================*/

#ifndef ARGVTRIX_H
#define ARGVTRIX_H


/*==== Macintosh-specific headers ====*/


/*==== globals =====*/

extern int		my_argc;
extern char		**my_argv;


/*==== Prototypes =====*/

void InitArgv(void);

void DestroyArgv(void);

void AddArg(char *s);


#endif //  ARGVTRIX_H
