/*==============================================================================
Project:	POV

Version:	3

File:	CursorUtils.c

Description:
Routines to handle different cursor disaplys.
------------------------------------------------------------------------------
Author:
	Eduard [esp] Schwan
------------------------------------------------------------------------------
	from Persistence of Vision(tm) Ray Tracer
	Copyright 1996 Persistence of Vision Team
------------------------------------------------------------------------------
	NOTICE: This source code file is provided so that users may experiment
	with enhancements to POV-Ray and to port the software to platforms other 
	than those supported by the POV-Ray Team.  There are strict rules under
	which you are permitted to use this file.  The rules are in the file
	named POVLEGAL.DOC which should be distributed with this file. If 
	POVLEGAL.DOC is not available or for more info please contact the POV-Ray
	Team Coordinator by leaving a message in CompuServe's Graphics Developer's
	Forum.  The latest version of POV-Ray may be found there as well.

	This program is based on the popular DKB raytracer version 2.12.
	DKBTrace was originally written by David K. Buck.
	DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
------------------------------------------------------------------------------
Change History:
	960630	[esp]	celebrate 12th wedding anniversary :-)
==============================================================================*/

#define CURSORUTILS_C

#include "CursorUtils.h"

#include <QuickDraw.h>
#include <Memory.h>
#include <ToolUtils.h>	// Cursor stuff


static Cursor			gWaitCursor;


// ---------------------------------------------------------------------
// load the image of the Watch cursor

#pragma segment Cursor

void InitWatchCursor(void)
	{
	CursHandle	hCurs;

	hCurs = GetCursor(watchCursor);
	if (hCurs != NULL)
		{
		MoveHHi((Handle)hCurs);
		HLock((Handle)hCurs);
		gWaitCursor = **hCurs;
		}
	} // InitWatchCursor()


// ---------------------------------------------------------------------
// change the cursor to the Watch

#pragma segment Cursor

void ShowWatchCursor(void)
	{
	SetCursor(&gWaitCursor);
	} // ShowWatchCursor()


// ---------------------------------------------------------------------
// change the cursor to the Arrow

#pragma segment Cursor

void ShowArrowCursor(void)
	{
	SetCursor(&qd.arrow);
	} // ShowArrowCursor()

