/*==============================================================================
Project:	POV-Ray

Version:	3

File:	DialogUtils.h

Description:
	Various System 7 dialog handling routines.
------------------------------------------------------------------------------
Author:
	Eduard [esp] Schwan
------------------------------------------------------------------------------
	from Persistence of Vision(tm) Ray Tracer
	Copyright 1996 Persistence of Vision Team
------------------------------------------------------------------------------
	NOTICE: This source code file is provided so that users may experiment
	with enhancements to POV-Ray and to port the software to platforms other 
	than those supported by the POV-Ray Team.  There are strict rules under
	which you are permitted to use this file.  The rules are in the file
	named POVLEGAL.DOC which should be distributed with this file. If 
	POVLEGAL.DOC is not available or for more info please contact the POV-Ray
	Team Coordinator by leaving a message in CompuServe's Graphics Developer's
	Forum.  The latest version of POV-Ray may be found there as well.

	This program is based on the popular DKB raytracer version 2.12.
	DKBTrace was originally written by David K. Buck.
	DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
------------------------------------------------------------------------------
Change History:
	941221	[esp]	Created
==============================================================================*/

#ifndef DIALOGUTILS_H
#define DIALOGUTILS_H

#include "config.h"

/*==== Macintosh-specific headers ====*/
#include <Types.h>
#include <Dialogs.h>

/*==== POV Mac Library routines =====*/
#include "ScreenUtils.h"


/*==== Prototypes =====*/

pascal void OutlineButtonDrawProc(DialogPtr theDialog, short theItem);
void InstallUserDrawProc(DialogPtr theDialog, short theItem, void * theDrawProc);
void EraseItemRect(DialogPtr theDialog, short theDItem);
OSErr OverlayDITLOnDialog(DialogPtr theDialog, short theNewDITLID, short relItem);

void TruncStaticTextItem(DialogPtr theDialog, short itemID);

void SetCurrMModalDialog(DialogPtr dp, void * handlerFn);
WindowPtr GetCurrMModalDialog(void);
Boolean IsMModalDialogDisplayed(void);
DialogPtr GetMModalDialog(short dialogID);
void ShowMModalDialog(void);
void HandleMModalDialogEvent(EventRecord *eventPtr);
void CloseMModalDialog(void);

void SetupStdModalFilter(void);
ModalFilterUPP GetStdModalFilter(void);
void SetupDefaultDialogButtons(DialogPtr pDialog, short defaultItem, short cancelItem);
ControlHandle GrabDItemHandle(DialogPtr theDialog, short theGetItem);
short GetDialogItemValue(DialogPtr theDialog, short theGetItem);
void SetDialogItemValue(DialogPtr theDialog, short theGetItem, short theVal);
void FlashDItem(DialogPtr theDialog, short theItem);
void GetBestDialogPos(Point * wherep, WindowPtr otherWindow);
short DisplayModalDialog(short dlogID,
						short defaultItem,
						short cancelItem,
						char * s,
						short err,
						WindCentering_t doCentering,
						WindPositioning_t whereToShow);

#endif //  DIALOGUTILS_H

