/*
==============================================================================
Project:	POV-Ray

Version:	3

File Name:	ScreenUtils.h

Description:
	General-purpose screen/device routines.

	This is the header file, containing the public definitions for
	the useful external functions.

Related Files:
	screenUtils.c	- Main implementation for these routines
------------------------------------------------------------------------------
Author:
	Eduard [esp] Schwan
------------------------------------------------------------------------------
	from Persistence of Vision(tm) Ray Tracer
	Copyright 1996 Persistence of Vision Team
------------------------------------------------------------------------------
	NOTICE: This source code file is provided so that users may experiment
	with enhancements to POV-Ray and to port the software to platforms other 
	than those supported by the POV-Ray Team.  There are strict rules under
	which you are permitted to use this file.  The rules are in the file
	named POVLEGAL.DOC which should be distributed with this file. If 
	POVLEGAL.DOC is not available or for more info please contact the POV-Ray
	Team Coordinator by leaving a message in CompuServe's Graphics Developer's
	Forum.  The latest version of POV-Ray may be found there as well.

	This program is based on the popular DKB raytracer version 2.12.
	DKBTrace was originally written by David K. Buck.
	DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
------------------------------------------------------------------------------
Change History:
	920826	[esp]	Created
	931001	[esp]	version 2.0 finished (Released on 10/4/93)
==============================================================================
*/

#if !defined (SCREENUTILS_H)
#define SCREENUTILS_H

#include "config.h"
#include <types.h>

typedef enum WindCentering_t {ewcKeepRelPosition, ewcDoCentering} WindCentering_t;
typedef enum WindPositioning_t {eSameAsPassedWindow, eMainDevice, eDeepestDevice} WindPositioning_t;

void		GetGlobalWindowRect(WindowPtr theWindow, Rect *theRect);

void		ForceRectOnScreen(Rect *aGlobalRect);

GDHandle	GetClosestGDevice(Rect *sourceRectp);

void		GetMaxGrowRect(WindowPtr wind2Grow, Rect * growRectp);

void		CenterWindInRect(WindowPtr wind2Center, Rect outerRect);

void		PositionWindow(WindowPtr wind2Position, WindCentering_t doCentering, WindPositioning_t whereToShow, WindowPtr passedWindow);


#endif // SCREENUTILS_H
