/*==============================================================================
Project:	POV

Version:	3

File:		aeAppHdlr.h

Description:
	AppleEvent Handler for App events.
------------------------------------------------------------------------------
Author:
	Eduard [esp] Schwan
------------------------------------------------------------------------------
	from Persistence of Vision(tm) Ray Tracer
	Copyright 1996 Persistence of Vision Team
------------------------------------------------------------------------------
	NOTICE: This source code file is provided so that users may experiment
	with enhancements to POV-Ray and to port the software to platforms other 
	than those supported by the POV-Ray Team.  There are strict rules under
	which you are permitted to use this file.  The rules are in the file
	named POVLEGAL.DOC which should be distributed with this file. If 
	POVLEGAL.DOC is not available or for more info please contact the POV-Ray
	Team Coordinator by leaving a message in CompuServe's Graphics Developer's
	Forum.  The latest version of POV-Ray may be found there as well.

	This program is based on the popular DKB raytracer version 2.12.
	DKBTrace was originally written by David K. Buck.
	DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
------------------------------------------------------------------------------
Change History:
	960120	[esp]
==============================================================================*/

#ifndef AEAPPHDLR_H
#define AEAPPHDLR_H

//===========================================================================
// Headers
//===========================================================================

#include "config.h"
#include <Types.h>
#include <AppleEvents.h>	// AEDesc

#include "aeTok.h"


//===========================================================================
// Definitions
//===========================================================================

pascal OSErr AccPropFromApp(DescType desiredClass,
									AEDesc *containerToken, DescType containerClass,
									DescType keyForm, AEDesc *keyData,
									AEDescList *tokenDesc, long refCon);

pascal OSErr AccThingFromApp(DescType desiredClass,
									AEDesc *containerToken, DescType containerClass,
									DescType keyForm, AEDesc *keyData,
									AEDescList *tokenDesc, long refCon);

OSErr AEAppDispatcher(	AEEventID theEventID,
						AEDesc *tokenDesc, AppleEvent *aevt,
						AppleEvent *reply, long refCon);

#endif // AEAPPHDLR_H
