// Persistence of Vision RayTracer Scene description file
// File: Lamp Icon.pov
// Version: 3
// Description: Magic lamp icon
// Date: 2/19/95
// Author: Eduard Schwan
//

// ==== Standard POV-Ray Includes ====
#include "colors.inc"      // Standard Color definitions
#include "metals.inc"      // Metal Texture definitions

// ----------------------------------------------------------
//  Camera
// ----------------------------------------------------------
camera
{
  location  <0.0,  0.0, -6.3> // large image
  direction 2.0*z              // which way are we looking <X Y Z>
  up        y                  // which way is +up <X Y Z>
  right     4/2*x
  look_at   <0.0, -0.2,  0.0>  // point center of view at this point <X Y Z>
}


// ----------------------------------------------------------
//  Sky Blend
// ----------------------------------------------------------
sky_sphere
{
  pigment {
    gradient y
    color_map {
      [0.0 red 0.5] [0.1 red 1] [0.3 White]
      [0.7 White] [0.9 blue 1] [1.0 blue 0.5]
    }
    scale 2 translate -y
  }
}

// ----------------------------------------------------------
//  Lights
// ----------------------------------------------------------

light_source { 0*x color White translate <15, 20, -15> }

light_source { 0*x color Gray10 translate <-5, 20, -5> }
light_source { 0*x color Gray10 translate < 0, 20, -5> }
light_source { 0*x color Gray10 translate < 5, 20, -5> }

light_source { 0*x color White translate <0, -5, -20> } // under

#declare Lamp_Texture =
texture { T_Brass_4B }

#include "Magic Lamp.inc"
object
{
  Magic_Lamp
  rotate <-10,-10,0>
}


// ----------------------------------------------------------
//   Smoke
// ----------------------------------------------------------

#include "Smoke.inc"
object { Smoke_Shape texture {Smoke_Texture} translate <-2.6, -0.7, 0.0> }


